{
    // See https://go.microsoft.com/fwlink/?LinkId=733558
    // for the documentation about the tasks.json format
    "version": "2.0.0",
    "tasks": [
        {
            "label": "build",
            "type": "shell",
            "command": "make build",
            "group": "build"
        },
        {
            "label": "test",
            "type": "shell",
            "command": "make test",
            "group": "test"
        },
        {
            "label": "coverage",
            "type": "shell",
            "command": "make coverage",
            "group": "test",
            "options": {
                "env": { "EXPORT_RESULT": "true" }
            }
        },
        {
            "label": "clean",
            "type": "shell",
            "command": "make clean",
            "group": "build"
        }
    ]
}